=== system-images/Makefile ===
# Makefile

# system-images - Debian based live and installer images
# Copyright (C) 2006-2016 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

SHELL := sh -e

SOFTWARE = system-images

all: build

build: share/man/*.txt
	$(MAKE) -C share/man

	sed -n '/^NAME/,$$p' share/man/$(SOFTWARE).7.txt > README.txt

install: build
	mkdir -p $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	cp -a CHANGELOG.txt LICENSE.txt README.txt $(DESTDIR)/usr/share/doc/$(SOFTWARE)

	mkdir -p $(DESTDIR)/usr/share/$(SOFTWARE)
	cp -a share/images/* $(DESTDIR)/usr/share/$(SOFTWARE)

	for SECTION in $$(seq 1 8); \
	do \
		if ls share/man/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp share/man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

uninstall:
	for SECTION in $$(seq 1 8); \
	do \
		for FILE in share/man/*.$${SECTION}; \
		do \
			if [ -e "$${FILE}" ]; \
			then \
				rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
			fi; \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

	rm -rf $(DESTDIR)/usr/share/$(SOFTWARE)/*
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/$(SOFTWARE) || true

	rm -rf $(DESTDIR)/usr/share/doc/$(SOFTWARE)/*
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/doc/$(SOFTWARE) || true

clean:
	$(MAKE) -C share/man clean

	rm -rf build
	rm -f README.txt

distclean: clean

reinstall: uninstall install

.PHONY: build
