=== debian/changelog ===
open-infrastructure-system-tools (20190202-1) unstable; urgency=medium

  * Initial upload to sid, merging:
    - open-infrastructure-system-boot
    - open-infrastructure-system-build
    - open-infrastructure-system-config
    - open-infrastructure-system-images

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Feb 2019 11:37:07 +0100
