=== debian/control ===
Source: open-infrastructure-system-tools
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 asciidoc,
 debhelper-compat (= 12),
 docbook-xml,
 docbook-xsl,
 libxml2-utils,
 xsltproc,
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://open-infrastructure.net/software/system-tools
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-system-tools
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-system-tools

Package: open-infrastructure-system-boot
Section: admin
Architecture: all
Depends:
 busybox | busybox-initramfs,
 initramfs-tools,
 udev,
 ${misc:Depends},
Recommends:
 rsync,
 uuid-runtime,
Suggests:
 cryptsetup,
 curlftpfs,
 httpfs2,
 wget,
Conflicts:
 live-boot,
 live-boot-doc,
 live-boot-initramfs-tools,
Replaces:
 live-boot,
 live-boot-doc,
 live-boot-initramfs-tools,
Provides:
 system-boot,
Description: Boot Debian-based system images
 system-boot provides the system integration for booting from a read-only root
 filesystem such as a live system.

Package: open-infrastructure-system-build
Section: admin
Architecture: all
Depends:
 debootstrap,
 ${misc:Depends},
Recommends:
 apt-utils,
 cpio,
 live-manual-html | live-manual,
 wget,
Suggests:
 debian-keyring,
 gpgv,
Conflicts:
 live-build,
Replaces:
 live-build,
Provides:
 system-build,
Description: Build Debian-based system images
 system-build is a tool to build system images such as a live system from a
 configuration directory.

Package: open-infrastructure-system-config
Section: admin
Architecture: all
Depends:
 systemd,
 ${misc:Depends},
Recommends:
 dbus,
 iproute2 | iproute,
 keyboard-configuration,
 locales | locales-all,
 sudo,
 user-setup,
Suggests:
 pciutils,
 wget,
Conflicts:
 live-config,
 live-config-doc,
 live-config-systemd,
 live-config-sysvinit,
Replaces:
 live-config,
 live-config-doc,
 live-config-systemd,
 live-config-sysvinit,
Provides:
 system-config,
Description: Configure Debian-based system images
 system-config provides the system integration for configuring a read-only root
 filesystem such as a live system.

Package: open-infrastructure-system-images
Section: admin
Architecture: all
Depends:
 open-infrastructure-system-build (>= 20161115),
 ${misc:Depends},
Provides:
 system-images,
Description: Debian-based system images
 system-images contains the configuration directories for system-build to
 build live system images.
