## open-infrastructure-system-tools 20190301-lts1

=== debian/changelog ===
open-infrastructure-system-tools (20190301-lts1-5) sid; urgency=medium

  * Uploading to sid.
  * Moving aliased files from / to /usr using dh_movetousr (DEP17), thanks
    to Michael Biebl <biebl@debian.org> (Closes: #1073663).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 22 Sep 2024 18:41:36 +0200

open-infrastructure-system-tools (20190301-lts1-4) sid; urgency=medium

  * Uploading to sid.
  * Updating copyright for 2024.
  * Updating to standards-version 4.7.0.
  * Adding patch to work on systems with /usr move, thanks to Helmut
    Grohne <helmut@subdivi.de> (Closes: #1064449).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 05 Jun 2024 06:38:42 +0200

open-infrastructure-system-tools (20190301-lts1-3) sid; urgency=medium

  * Uploading to sid.
  * Adding changelog entries for 20190301-lts1-2.1.
  * Updating to debhelper version 13.
  * Updating to standards version 4.6.2.
  * Replacing which with command in maintainer scripts.
  * Updating packaging copyright for 2023.
  * Using https where approriate in copyright file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 30 Jan 2023 17:44:04 +0100

open-infrastructure-system-tools (20190301-lts1-2.1) sid; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:33:37 +0200

open-infrastructure-system-tools (20190301-lts1-2) sid; urgency=medium

  * Uploading to sid.
  * Using codenames as upload targets in changelog.
  * Updating years in copyright file for 2020.
  * Updating to standards version 4.5.0.
  * Adding patch to fix FTBFS with newer asciidoc versions (Closes:
    #948903).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 21 Jan 2020 22:03:14 +0100

open-infrastructure-system-tools (20190301-lts1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20190301-lts1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Mar 2019 18:40:44 +0100

open-infrastructure-system-tools (20190301-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20190301.
  * Updating watch file.
  * Updating upstream urls.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Mar 2019 18:37:14 +0100

open-infrastructure-system-tools (20190202-1) sid; urgency=medium

  * Initial upload to sid, merging:
    - open-infrastructure-system-boot
    - open-infrastructure-system-build
    - open-infrastructure-system-config
    - open-infrastructure-system-images

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Feb 2019 11:37:07 +0100
