=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
  asciidoc,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
+ dh-sequence-movetousr,
  docbook-xml,
  docbook-xsl,
  libxml2-utils,
  xsltproc,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.7.0
 Homepage: https://open-infrastructure.net/software/system-tools
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-system-tools
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-system-tools
